Bug 1032900 - Existent large gear size app is shown unknown and could not create new large app in INT
Existent large gear size app is shown unknown and could not create new large ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Abhishek Gupta
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 03:25 EST by Wei Sun
Modified: 2015-05-14 20:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:30:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-11-21 03:25:59 EST
Description of problem:
After INT upgrade,my large gear size app's status is shown unknown.My app was stopped before upgrade. I try to start my app,but could not start successfully,it returns "Server returned an unexpected error code: 504".
I also could not create new large app in INT,also returns "Server returned an unexpected error code: 504"
My account is wsun+2@redhat.com,my app name is py6s,my app's uuid is 527b1ff003ef64611b00017d

The following app also has the same issue.
lxia+migrate@redhat.com, app name is jenkins ( uuid: 527af7216cec0ef954000282 )

Version-Release number of selected component (if applicable):
INT(devenv_4052)

How reproducible:
Always

Steps to Reproduce:
1.Create a large gear size app before INT upgrade
2.Stop the app before INT upgrade
3.INT upgrade
4.Check my app's status
5.Try to start/control my app
6.Try to create new app with large gear size

Actual results:
4.[wsun@dhcp-8-229 test]$ rhc app-show py6s --state
Cartridge mysql-5.1 is unknown
Cartridge postgresql-8.4 is unknown
Cartridge python-2.6, haproxy-1.4 is unknown
Cartridge mongodb-2.2 is unknown

5.[wsun@dhcp-8-229 test]$ rhc app-start py6s
Server returned an unexpected error code: 504

6.It returns "Server returned an unexpected error code: 504"

Expected results:
App's status should be shown stopped and could create a new large app successfully

Additional info:
top - 02:31:54 up 1 day,  1:57,  0 users,  load average: 0.10, 0.13, 0.09
Tasks:   3 total,   1 running,   2 sleeping,   0 stopped,   0 zombie
Cpu(s):  0.8%us,  3.4%sy,  0.0%ni, 95.8%id,  0.0%wa,  0.0%hi,  0.0%si,  0.0%st
Mem:  17390776k total,  4460440k used, 12930336k free,   492860k buffers
Swap:  6249976k total,        0k used,  6249976k free,  2536872k cached
   PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND                                                                                
360510 2434      20   0  102m 2684  852 S  0.0  0.0   0:00.01 sshd                                                                                   
360511 2434      20   0  106m 2044 1420 S  0.0  0.0   0:00.15 bash                                                                                   
360720 2434      20   0 14908 1136  940 R  0.0  0.0   0:00.09 top
Comment 3 Wei Sun 2013-11-21 20:25:10 EST
Checked this bug in INT(devenv_4052),my app's status is shown stopped now,and also control it, and could create large app successfully.

Note You need to log in before you can comment on or make changes to this bug.